Name: pybliographic
Version: 0.2
Release: alt0.1

Summary: A framework for working with bibliographic databases
Summary(ru_RU.KOI8-R):       

License: GPL
Group: Databases
Url: http://www.pybliographer.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/pybliographer/%name-%version.tar.bz2

BuildArch: noarch

Provides: pybliographer
Obsoletes: pybliographer

%py_provides PyblioUI

# manually removed: eric hostinfo recode xorg-x11-libs xorg-x11-locales
# Automatically added by buildreq on Mon Nov 20 2006
BuildRequires: python-module-pybliographer python-module-Pyrex python-module-ruledispatch python-modules-encodings python-module-setuptools

%description
Pybliographer is a tool for managing bibliographic databases. It can be
used for searching, editing, reformatting, etc. In fact, it's a simple
framework that provides easy to use python classes and functions, and
therefore can be extended to many uses (generating HTML pages according
to bibliographic searches, etc).
In addition to the scripting environment, a graphical Gnome interface
is available. It provides powerful editing capabilities, a nice
hierarchical search mechanism, direct insertion of references into LyX,
direct queries on Medline, and more. It currently supports the following
file formats: BibTeX, ISI, Medline, Ovid, Refer.

%prep
%setup -q
%__subst "s|0.6c2|0.6b4dev-r0|g" ez_setup.py

%build
# please hack pygtk for test gtk without DISPLAY
#configure
#make
%__python setup.py build
# fix strict python
#%__subst "s,/usr/bin/python,/usr/bin/env python," %name

%install
%__python setup.py install --root=%buildroot

%find_lang %name --with-gnome

%files -f %name.lang
%_bindir/*
%python_sitelibdir/*
%doc NEWS README

%changelog
* Mon Nov 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt0.1
- initial build for ALT Linux Sisyphus
